/// Copyright 2021 Hieu Rocker
///
/// Licensed under the Apache License, Version 2.0 (the "License");
/// you may not use this file except in compliance with the License.
/// You may obtain a copy of the License at
///
///   http://www.apache.org/licenses/LICENSE-2.0
///
/// Unless required by applicable law or agreed to in writing, software
/// distributed under the License is distributed on an "AS IS" BASIS,
/// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
/// See the License for the specific language governing permissions and
/// limitations under the License.

/// Simplifies resource loading with convenient builders.
///
/// Use [DefaultLoaderBuilder] for handling resource loading with default UI
/// implementations for different states in [LoaderState]. For advanced usage,
/// use [LoaderBuilder].
library flutter_loader;

import 'package:flutter_loader/src/loader.dart';

export 'src/loader.dart';
